Index: branches/2014/dev_MERGE_2014/NEMOGCM/NEMO/TOP_SRC/trcini.F90
===================================================================
--- branches/2014/dev_MERGE_2014/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 4944)
+++ branches/2014/dev_MERGE_2014/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 4946)
@@ -191,7 +191,7 @@
       USE trcnxt        , ONLY:   trc_nxt_alloc
       USE trczdf        , ONLY:   trc_zdf_alloc
-      USE trdmod_trc_oce, ONLY:   trd_mod_trc_oce_alloc
-#if defined key_trdmld_trc 
-      USE trdmld_trc    , ONLY:   trd_mld_trc_alloc
+      USE trdtrc_oce    , ONLY:   trd_trc_oce_alloc
+#if defined key_trdmxl_trc 
+      USE trdmxl_trc    , ONLY:   trd_mxl_trc_alloc
 #endif
       !
@@ -203,7 +203,7 @@
       ierr = ierr + trc_nxt_alloc()
       ierr = ierr + trc_zdf_alloc()
-      ierr = ierr + trd_mod_trc_oce_alloc()
-#if defined key_trdmld_trc 
-      ierr = ierr + trd_mld_trc_alloc()
+      ierr = ierr + trd_trc_oce_alloc()
+#if defined key_trdmxl_trc 
+      ierr = ierr + trd_mxl_trc_alloc()
 #endif
       !
Index: branches/2014/dev_MERGE_2014/NEMOGCM/NEMO/TOP_SRC/trcnam.F90
===================================================================
--- branches/2014/dev_MERGE_2014/NEMOGCM/NEMO/TOP_SRC/trcnam.F90	(revision 4944)
+++ branches/2014/dev_MERGE_2014/NEMOGCM/NEMO/TOP_SRC/trcnam.F90	(revision 4946)
@@ -25,6 +25,6 @@
    USE trcnam_c14b       ! C14 SMS namelist
    USE trcnam_my_trc     ! MY_TRC SMS namelist
-   USE trdmod_oce       
-   USE trdmod_trc_oce
+   USE trd_oce       
+   USE trdtrc_oce
    USE iom               ! I/O manager
 
@@ -119,5 +119,5 @@
 
 
-#if defined key_trdmld_trc || defined key_trdtrc
+#if defined key_trdmxl_trc || defined key_trdtrc
 
          REWIND( numnat_ref )              ! Namelist namtrc_trd in reference namelist : Passive tracer trends
@@ -132,11 +132,11 @@
          IF(lwp) THEN
             WRITE(numout,*)
-            WRITE(numout,*) ' trd_mld_trc_init : read namelist namtrc_trd                    '
+            WRITE(numout,*) ' trd_mxl_trc_init : read namelist namtrc_trd                    '
             WRITE(numout,*) ' ~~~~~~~~~~~~~~~~                                               '
             WRITE(numout,*) '   * frequency of trends diagnostics   nn_trd_trc             = ', nn_trd_trc
             WRITE(numout,*) '   * control surface type              nn_ctls_trc            = ', nn_ctls_trc
-            WRITE(numout,*) '   * restart for ML diagnostics        ln_trdmld_trc_restart  = ', ln_trdmld_trc_restart
+            WRITE(numout,*) '   * restart for ML diagnostics        ln_trdmxl_trc_restart  = ', ln_trdmxl_trc_restart
             WRITE(numout,*) '   * flag to diagnose trends of                                 '
-            WRITE(numout,*) '     instantantaneous or mean ML T/S   ln_trdmld_trc_instant  = ', ln_trdmld_trc_instant
+            WRITE(numout,*) '     instantantaneous or mean ML T/S   ln_trdmxl_trc_instant  = ', ln_trdmxl_trc_instant
             WRITE(numout,*) '   * unit conversion factor            rn_ucf_trc             = ', rn_ucf_trc
             DO jn = 1, jptra
@@ -266,7 +266,7 @@
       !!---------------------------------------------------------------------
       INTEGER ::  ierr
-#if defined key_trdmld_trc  || defined key_trdtrc
+#if defined key_trdmxl_trc  || defined key_trdtrc
       NAMELIST/namtrc_trd/ nn_trd_trc, nn_ctls_trc, rn_ucf_trc, &
-         &                ln_trdmld_trc_restart, ln_trdmld_trc_instant, &
+         &                ln_trdmxl_trc_restart, ln_trdmxl_trc_instant, &
          &                cn_trdrst_trc_in, cn_trdrst_trc_out, ln_trdtrc
 #endif
Index: branches/2014/dev_MERGE_2014/NEMOGCM/NEMO/TOP_SRC/trcrst.F90
===================================================================
--- branches/2014/dev_MERGE_2014/NEMOGCM/NEMO/TOP_SRC/trcrst.F90	(revision 4944)
+++ branches/2014/dev_MERGE_2014/NEMOGCM/NEMO/TOP_SRC/trcrst.F90	(revision 4946)
@@ -137,5 +137,5 @@
           CALL trc_rst_stat            ! statistics
           CALL iom_close( numrtw )     ! close the restart file (only at last time step)
-#if ! defined key_trdmld_trc
+#if ! defined key_trdmxl_trc
           lrst_trc = .FALSE.
 #endif
Index: branches/2014/dev_MERGE_2014/NEMOGCM/NEMO/TOP_SRC/trcstp.F90
===================================================================
--- branches/2014/dev_MERGE_2014/NEMOGCM/NEMO/TOP_SRC/trcstp.F90	(revision 4944)
+++ branches/2014/dev_MERGE_2014/NEMOGCM/NEMO/TOP_SRC/trcstp.F90	(revision 4946)
@@ -19,6 +19,6 @@
    USE trcwri
    USE trcrst
-   USE trdmod_trc_oce
-   USE trdmld_trc
+   USE trdtrc_oce
+   USE trdmxl_trc
    USE iom
    USE in_out_manager
@@ -59,5 +59,5 @@
       IF( nn_timing == 1 )   CALL timing_start('trc_stp')
       !
-      IF( kt == nittrc000 .AND. lk_trdmld_trc )  CALL trd_mld_trc_init    ! trends: Mixed-layer
+      IF( kt == nittrc000 .AND. lk_trdmxl_trc )  CALL trd_mxl_trc_init    ! trends: Mixed-layer
       !
       IF( lk_vvl ) THEN                                                   ! update ocean volume due to ssh temporal evolution
@@ -100,5 +100,5 @@
          ENDIF
          IF( lrst_trc )            CALL trc_rst_wri  ( kt )       ! write tracer restart file
-         IF( lk_trdmld_trc  )      CALL trd_mld_trc  ( kt )       ! trends: Mixed-layer
+         IF( lk_trdmxl_trc  )      CALL trd_mxl_trc  ( kt )       ! trends: Mixed-layer
          !
          IF( nn_dttrc /= 1   )     CALL trc_sub_reset( kt )       ! resetting physical variables when sub-stepping
